import "LotroGoldTracker"

LotroGoldTracker = MainWindow();
toggleWindow = ToggleWindow();
LotroGoldTracker:SetVisible( true );
-- create a new command line command for the travel window
	StatCommand = Turbine.ShellCommand();
	toggleWindow:SetVisible( true );
-- handle the travel commands
function StatCommand:Execute( command, arguments )
	if ( arguments == "show" ) then
		LotroGoldTracker:SetVisible( true );
	elseif ( arguments == "hide" ) then
		LotroGoldTracker:SetVisible( false );
	elseif ( arguments == "toggle" ) then
		LotroGoldTracker:SetVisible( not LotroGoldTracker:IsVisible() );
	elseif ( arguments == "dump" ) then
		LotroGoldTracker:DoDump();
	elseif ( arguments ~= nil ) then
		StatCommand:GetHelp();
	end
end

function StatCommand:GetHelp()
	Turbine.Shell.WriteLine( "LGT help \n" .. 
	"/LGT show : to show the window \n" ..
	"/LGT hide : to hide the window \n" ..
	"/LGT toggle : to toggle the window" );
end

-- add the command to the shell
Turbine.Shell.AddCommand( "LGT", StatCommand );